org.eclipse.rdf4j.query.algebra.evaluation

## Class AbstractQueryPreparer

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.AbstractQueryPreparer

- All Implemented Interfaces:
    QueryPreparer

      public abstract class AbstractQueryPreparer
      extends Object
      implements QueryPreparer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractQueryPreparer(TripleSource tripleSource)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract CloseableIteration<? extends BindingSet,QueryEvaluationException>` | `evaluate(TupleExpr tupleExpr, Dataset dataset, BindingSet bindings, boolean includeInferred, int maxExecutionTime)`
    `protected abstract void` | `execute(UpdateExpr updateExpr, Dataset dataset, BindingSet bindings, boolean includeInferred, int maxExecutionTime)`
    `TripleSource` | `getTripleSource()`
    `BooleanQuery` | `prepare(ParsedBooleanQuery q)`
    `GraphQuery` | `prepare(ParsedGraphQuery q)`
    `TupleQuery` | `prepare(ParsedTupleQuery q)`
    `Update` | `prepare(ParsedUpdate u)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractQueryPreparer

          public AbstractQueryPreparer(TripleSource tripleSource)

  - ### Method Detail

    - #### prepare

          public BooleanQuery prepare(ParsedBooleanQuery q)

      Specified by:
        `prepare` in interface `QueryPreparer`

    - #### prepare

          public TupleQuery prepare(ParsedTupleQuery q)

      Specified by:
        `prepare` in interface `QueryPreparer`

    - #### prepare

          public GraphQuery prepare(ParsedGraphQuery q)

      Specified by:
        `prepare` in interface `QueryPreparer`

    - #### prepare

          public Update prepare(ParsedUpdate u)

      Specified by:
        `prepare` in interface `QueryPreparer`

    - #### getTripleSource

          public TripleSource getTripleSource()

      Specified by:
        `getTripleSource` in interface `QueryPreparer`

    - #### evaluate

          protected abstract CloseableIteration<? extends BindingSet,QueryEvaluationException> evaluate(TupleExpr tupleExpr,
                                                                                                        Dataset dataset,
                                                                                                        BindingSet bindings,
                                                                                                        boolean includeInferred,
                                                                                                        int maxExecutionTime)
                                                                                                 throws QueryEvaluationException

      Throws:
        `QueryEvaluationException`

    - #### execute

          protected abstract void execute(UpdateExpr updateExpr,
                                          Dataset dataset,
                                          BindingSet bindings,
                                          boolean includeInferred,
                                          int maxExecutionTime)
                                   throws UpdateExecutionException

      Throws:
        `UpdateExecutionException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.